# An ApplicationClient is a source from which an activity came from
#   ex: BrowserClient, iPhone, ReplyByEmail etc.
# For now, specifying the application client is optional in our API
#   however, in a later version, we will make it required.
#
# Unlike most of our collections, all applications in a fleet will pull these
#   from the same database/collection
class ApplicationClient
  include MongoMapper::Document
  set_database_name 'fleet_settings' unless Rails.env.test?

  key :name, String, :unique => true
  key :app_key, String, :index => true, :unique => true # use BSON::ObjectID.new when creating new ApplicationClients
  key :image_url, String

  validates_presence_of :name, :app_key

  APP_KEY_REQUEST_HEADER = "APPLICATION-KEY"

  # Application keys
  FILE_SYNC_KEY       = '4f84650db9005f0158000001'
  OUTLOOK_KEY         = '4f835250b9005fd167000867'
  EMAIL_KEY           = '4f835268b9005fd167000868'
  IPHONE_APP_KEY      = '4f835283b9005fd167000869'
  OFFICE_KEY          = '4f84664cb9005f0158000002'

  def self.desktop_sync_app_keys
    [FILE_SYNC_KEY, OUTLOOK_KEY, OFFICE_KEY]
  end
end