require 'mongo_mapper'
require 'grip'
class ClientVersion
  include MongoMapper::Document

  set_database_name 'fleet_settings'# unless Rails.env.test?

  attachment :file
  attachment :image, [
    {:name => 'icon', :width => 130, :height => 130, :desaturate => false, :format => :jpg}
  ], :requires_image => true

  key :app_key, String, :required => true
  key :title, String, :required => true
  key :release_version, String
  key :release_date, Time
  key :min_spaces_version, String
  key :max_spaces_version, String
  key :feature_text, String, :allow_html => true
  key :user_wizard_text, String, :allow_html => true

  validates_uniqueness_of :title
end
